{% capture spaceless %}
  {% assign total_pages = paginator.total_pages %}

  {% assign links = paginator
                  | pagination_links: site.baseurl
                                    , page.paginate_root
                                    , site.pagination.permalink
  %}
{% endcapture %}

<nav role="navigation">
  {% if total_pages > 1 %}

    <!-- First Page. -->
    {% unless paginator.page == 1 %}
       [ <a href="{{ links.first }}">First</a> ]
    {% else %}
      [ First ]
    {% endunless %}

    <!-- Previous Page. -->
    {% if paginator.previous_page %}
      [ <a href="{{ links.prev }}">Previous</a> ]
    {% else %}
      [ Previous ]
    {% endif %}

    <!-- Indicator Number. -->
    [ Page: {{ paginator.page }} of {{ total_pages }} ]

    <!-- Next Page. -->
    {% if paginator.next_page %}
      [ <a href="{{ links.next }}">Next</a> ]
    {% else %}
      [ Next ]
    {% endif %}

    <!-- Last Page. -->
    {% unless paginator.page == total_pages %}
      [ <a href="{{ links.last }}">Last</a> ]
    {% else %}
      [ Last ]
    {% endunless %}

  {% endif %}
</nav>


